Bug 27099 - Uncomfortably long pause after "transferring install image"
Uncomfortably long pause after "transferring install image"
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-02-11 19:46 EST by Chris Evans
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-16 18:14:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Evans 2001-02-11 19:46:35 EST
I did a full everything install of BETA3.
Machine is a PII-350 with fast-ish disk and 128Mb RAM.

I was watching the progress bar for "transferring install image to
hard drive". This took a moderate amount of time.

Unfortunately, when this progress bar hit 100%, the machine
appeared to hang. For at least a minute, the progress bar
sat there, clearly at 100%. I was given no feedback and no
hard drive activity occurred. This might panic some people
into pressing the big red button.

It would be nice if something simple were done to alleviate
this. For example, change the text on the progress bar to
"Please wait a moment..". A simple touch but it might make
the difference.

Of course, the progress bar would ideally only hit 100%
when the operation has finished and not 1 minute before!!
Comment 1 Michael Fulbright 2001-02-11 22:49:04 EST
Was there alot of disk activity during the delay?

It may have been the wait for the file to be flushed from kernel buffers to
disk. If you have alot of RAM the nearly 100M file could be buffered entirely
before written to disk.
Comment 2 Glen Foster 2001-02-12 18:00:06 EST
This defect is considered MUST-FIX for Florence Release-Candidate #1
Comment 3 Chris Evans 2001-02-12 18:18:39 EST
If memory serves: no disk activity. It wasthe first thing I checked.
What does the installer do after it "transfers the install image"? Anything
CPU intensive (particularly stuff which takes longer the more packages
there are).
Comment 4 Matt Wilson 2001-02-13 23:33:06 EST
does the progress bar go away when you move the mouse (i.e., when you wake up
the GUI?)
Comment 5 Chris Evans 2001-03-08 09:54:57 EST
Further investigation with Wolverine

The delay seems to be due to a CPU intensive operation. During the hang,
anaconda is eating 100% CPU.
My machine isn't exactly slow (350Mhz PII). Perhaps I aggravate the problem
because I always choose to install everything.
It would be nice if the CPU hog was found and sorted out.
Comment 6 Matt Wilson 2001-03-16 18:14:13 EST
I think this is part of the RPM transaction set processing.
Comment 7 Chris Evans 2001-03-20 15:38:56 EST
"NOTABUG"? Surely "WONTFIX", which I can appreciate.

Note You need to log in before you can comment on or make changes to this bug.